package com.ym.mec.web.controller.open;

import com.ym.mec.biz.dal.dto.RoomMemberNumDto;
import com.ym.mec.biz.service.ImLiveBroadcastRoomMemberService;
import com.ym.mec.biz.service.ImLiveBroadcastRoomService;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("${app-config.url.web:}/open/live")
@Slf4j
public class OpenLiveController extends BaseController {

    @Autowired
    private ImLiveBroadcastRoomService imLiveBroadcastRoomService;

    @ApiOperation("查询房间人数")
    @GetMapping("/queryRoomInfo")
    public HttpResponseResult<RoomMemberNumDto> queryRoomInfo(@ApiParam(value = "房间uid", required = true) String roomUid) {
        return succeed(imLiveBroadcastRoomService.getRoomMemberNumDto(roomUid));
    }
}
