package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author zx
 */
@ApiModel(description = "导出对象")
public class ExportWrapper {


    @Data
    @ApiModel(" AddStudentLessonTrainingDetail-练习内容")
    public static class ExportMusicGroupNoCourseDto {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("学员姓名")
        private String studentName;

        @ApiModelProperty("课堂课")
        private Integer classroom;

        @ApiModelProperty("综合课")
        private Integer comprehensive;

        @ApiModelProperty("基础技能课")
        private Integer high;

        @ApiModelProperty("基础技能课(线上)")
        private Integer highOnline;

        @ApiModelProperty("合奏课")
        private Integer mix;

        @ApiModelProperty("单技课")
        private Integer single;

        @ApiModelProperty("集训合奏课")
        private Integer trainingMix;

        @ApiModelProperty("集训单技课")
        private Integer trainingSingle;
    }

    @Data
    @ApiModel("平衡关系(分表)-乐团退团")
    public static class ExportBalancedRelationshipStudentQuitDetail {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("学员姓名")
        private String studentName;
    }

    @Data
    @ApiModel("平衡关系(分表)-乐团新增")
    public static class ExportBalancedRelationshipStudentAddDetail {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("学员姓名")
        private String studentName;
    }

    @Data
    @ApiModel("平衡关系(分表)-乐团在读学员")
    public static class ExportBalancedRelationshipStudentNormalDetail {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("学员名称")
        private String studentName;

        @ApiModelProperty("合作单位名称")
        private String coopName;
    }

    @Data
    @ApiModel("平衡关系-学员情况总表")
    public static class ExportBalancedRelationshipStudentInfo {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("进行中乐团数")
        private Integer musicGroupCount;

        @ApiModelProperty("当月在读学员总数")
        private Integer currentMonthStudentCount;

        @ApiModelProperty("当月新增学员")
        private Integer currentMonthAddStudentCount;

        @ApiModelProperty("当月退团学员")
        private Integer currentMonthQuitStudentCount;
    }

    @Data
    @ApiModel("平衡关系-缴费项目课时明细")
    public static class ExportBalancedRelationshipMusicSubCourse {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("缴费批次号")
        private String paymentBatchNo;

        @ApiModelProperty("缴费收费金额")
        private String paymentAmount;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("课堂课")
        private Integer classroom;

        @ApiModelProperty("综合课")
        private Integer comprehensive;

        @ApiModelProperty("基础技能课")
        private Integer high;

        @ApiModelProperty("线上基础技能课")
        private Integer highOnline;

        @ApiModelProperty("合奏课")
        private Integer mix;

        @ApiModelProperty("单技课")
        private Integer single;

        @ApiModelProperty("集训合奏课")
        private Integer trainingMix;

        @ApiModelProperty("集训单技课")
        private Integer trainingSingle;

    }

    @Data
    @ApiModel("平衡关系-VIP未排课")
    public static class ExportBalancedRelationshipVipNoCourse {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("学员姓名")
        private String studentName;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("课程类型")
        private String courseType;

        @ApiModelProperty("未排课时")
        private Integer noCourse;

        @ApiModelProperty("当月新增课时")
        private Integer addCourse;
    }

    @Data
    @ApiModel("平衡关系-VIP已排课")
    public static class ExportBalancedRelationshipVipCourse {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("学员姓名")
        private String studentName;

        @ApiModelProperty("学员编号")
        private String studentId;

        @ApiModelProperty("课程类型")
        private String courseType;

        @ApiModelProperty("当月剩余课时")
        private Integer surplusCourse;

        @ApiModelProperty("当月已上课时")
        private Integer alreadyCourse;

        @ApiModelProperty("当月消耗课时")
        private Integer consumeCourse;

        @ApiModelProperty("当月新增课时")
        private Integer addCourse;
    }

    @Data
    @ApiModel("平衡关系-乐团课")
    public static class ExportBalancedRelationshipMusicCourse {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("班级名称")
        private String className;

        @ApiModelProperty("班级类型")
        private String classType;

        @ApiModelProperty("班级编号")
        private String classId;

        @ApiModelProperty("课程类型")
        private String courseType;

        @ApiModelProperty("期初预收款")
        private Integer firstMonthPreAmount;

        @ApiModelProperty("期初剩余课次")
        private Integer firstMonthSubCourseNum;

        @ApiModelProperty("期初课酬")
        private String firstMonthCourseSalary;

        @ApiModelProperty("期初被合并课预收款")
        private Integer firstMonthPreMergeAmount;

        @ApiModelProperty("期初被合并课剩余课次")
        private Integer firstMonthSubMergeCourseNum;

        @ApiModelProperty("期初被合并课课酬")
        private String firstMonthMergeCourseSalary;

        @ApiModelProperty("剩余课次")
        private Integer surplusCourse;

        @ApiModelProperty("剩余课次课酬")
        private String surplusCourseReward;

        @ApiModelProperty("剩余被合并课次")
        private Integer surplusMergedCourse;

        @ApiModelProperty("剩余被合并课次课酬")
        private String surplusMergedCourseReward;

        @ApiModelProperty("已上课次")
        private Integer alreadyCourse;

        @ApiModelProperty("已上课次课酬")
        private String alreadyCourseReward;

        @ApiModelProperty("已上被合并课次")
        private Integer alreadyMergedCourse;

        @ApiModelProperty("已上被合并课次课酬")
        private String alreadyMergedCourseReward;

        @ApiModelProperty("当月新增")
        private Integer currentMonthAdd;

        @ApiModelProperty("当月新增预收")
        private String currentMonthAddCourseAmount;

        @ApiModelProperty("当月新增课酬")
        private String currentMonthAddReward;

        @ApiModelProperty("当月被合并新增")
        private Integer currentMonthMergedAdd;

        @ApiModelProperty("当月被合并新增预收")
        private String currentMonthAddMergeCourseAmount;

        @ApiModelProperty("当月被合并新增课酬")
        private String currentMonthMergedAddReward;

        @ApiModelProperty("当月消耗")
        private Integer currentMonthConsume;

        @ApiModelProperty("当月课耗收入")
        private String currentMonthCourseAmount;

        @ApiModelProperty("当月消耗课酬")
        private String currentMonthConsumeReward;

        @ApiModelProperty("当月被合并消耗")
        private Integer currentMonthMergedConsume;

        @ApiModelProperty("当月被合并课耗收入")
        private String currentMonthMergeCourseAmount;

        @ApiModelProperty("当月被合并消耗课酬")
        private String currentMonthMergedConsumeReward;

        @ApiModelProperty("期末预收款")
        private Integer lastMonthPreAmount;

        @ApiModelProperty("期末剩余课次")
        private Integer lastMonthSubCourseNum;

        @ApiModelProperty("期末课酬")
        private String lastMonthCourseSalary;

        @ApiModelProperty("期末被合并课预收款")
        private Integer lastMonthPreMergeAmount;

        @ApiModelProperty("期末被合并课剩余课次")
        private Integer lastMonthSubMergeCourseNum;

        @ApiModelProperty("期末被合并课课酬")
        private String lastMonthMergeCourseSalary;
    }
    @Data
    @ApiModel("平衡关系-乐团课汇总")
    public static class ExportBalancedRelationshipMusicCourseSum {

        @ApiModelProperty("期初预收款")
        private BigDecimal firstMonthPreAmount;

        @ApiModelProperty("期初剩余课次")
        private Integer firstMonthSubCourseNum;

        @ApiModelProperty("期初课酬")
        private BigDecimal firstMonthCourseSalary;

        @ApiModelProperty("当月新增")
        private Integer currentMonthAdd;

        @ApiModelProperty("当月新增预收")
        private BigDecimal currentMonthAddCourseAmount;

        @ApiModelProperty("当月新增课酬")
        private BigDecimal currentMonthAddReward;

        @ApiModelProperty("当月消耗")
        private Integer currentMonthConsume;

        @ApiModelProperty("当月课耗收入")
        private BigDecimal currentMonthCourseAmount;

        @ApiModelProperty("当月消耗课酬")
        private BigDecimal currentMonthConsumeReward;

        @ApiModelProperty("期末预收款")
        private BigDecimal lastMonthPreAmount;

        @ApiModelProperty("期末剩余课次")
        private Integer lastMonthSubCourseNum;

        @ApiModelProperty("期末课酬")
        private BigDecimal lastMonthCourseSalary;
    }

    @Data
    @ApiModel("平衡关系-云教练汇总")
    public static class ExportBalancedRelationshipCloudSum {

        @ApiModelProperty("期初预收款（已激活）")
        private BigDecimal firstMonthPreAmount = BigDecimal.ZERO;

        @ApiModelProperty("期初预收款（待激活）")
        private BigDecimal firstMonthPreWaitAmount = BigDecimal.ZERO;

        @ApiModelProperty("期初激活人数")
        private Integer firstMonthActiveNum = 0;

        @ApiModelProperty("期初待激活人数")
        private Integer firstMonthWaitActiveNum = 0;

        @ApiModelProperty("当月新增预收款（当月购买）")
        private BigDecimal currentMonthAddPreAmount = BigDecimal.ZERO;

        @ApiModelProperty("当月新增人数（当月购买）")
        private Integer currentMonthAddNum = 0;

        @ApiModelProperty("当月续费预收款")
        private BigDecimal currentMonthRenewPreAmount = BigDecimal.ZERO;

        @ApiModelProperty("当月续费人数")
        private Integer currentMonthRenewNum = 0;

        @ApiModelProperty("当月减少人数（到期）")
        private Integer currentMonthCutNum = 0;

        @ApiModelProperty("当月消耗的云教练金额")
        private BigDecimal currentMonthAmount = BigDecimal.ZERO;

        @ApiModelProperty("当月退费人数")
        private Integer currentMonthReturnNum = 0;

        @ApiModelProperty("当月退费金额")
        private BigDecimal currentMonthReturnAmount = BigDecimal.ZERO;

        @ApiModelProperty("当月激活人数")
        private Integer currentMonthActiveNum = 0;

        @ApiModelProperty("期末预收款（已激活）")
        private BigDecimal lastMonthPreAmount = BigDecimal.ZERO;

        @ApiModelProperty("期末预收款（待激活）")
        private BigDecimal lastMonthPreWaitAmount = BigDecimal.ZERO;

        @ApiModelProperty("期末激活人数")
        private Integer lastMonthActiveNum = 0;

        @ApiModelProperty("期末待激活人数")
        private Integer lastMonthWaitActiveNum = 0;
    }

    @Data
    @ApiModel("平衡关系-已分班未排课")
    public static class ExportBalancedRelationshipMusicNoCourse {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("乐团名称")
        private String musicGroupName;

        @ApiModelProperty("乐团编号")
        private String musicGroupId;

        @ApiModelProperty("班级名称")
        private String className;

        @ApiModelProperty("班级类型")
        private String classType;

        @ApiModelProperty("班级编号")
        private String classId;

        @ApiModelProperty("学生人数")
        private Integer studentNum;

        @ApiModelProperty("课程类型")
        private String courseType;

        @ApiModelProperty("课程类型")
        private String courseTypeCode;

        @ApiModelProperty("老师编号")
        private Integer teacherId;

        @ApiModelProperty("剩余可排课时长")
        private Integer subCourseMinutes = 0;

        @ApiModelProperty("总预收")
        private BigDecimal totalCoursePrice = BigDecimal.ZERO;

        @ApiModelProperty("总课酬")
        private BigDecimal totalCourseSalary = BigDecimal.ZERO;

        @ApiModelProperty("期初剩余可排课时长")
        private Integer firstSubCourseMinutes = 0;

        @ApiModelProperty("期初总预收")
        private BigDecimal firstTotalCoursePrice = BigDecimal.ZERO;

        @ApiModelProperty("期初总课酬")
        private BigDecimal firstTotalCourseSalary = BigDecimal.ZERO;

        @ApiModelProperty("期末剩余可排课时长")
        private Integer lastSubCourseMinutes = 0;

        @ApiModelProperty("期末总预收")
        private BigDecimal lastTotalCoursePrice = BigDecimal.ZERO;

        @ApiModelProperty("期末总课酬")
        private BigDecimal lastTotalCourseSalary = BigDecimal.ZERO;

        @ApiModelProperty("当月新增剩余可排课时长")
        private Integer currentSubCourseMinutes = 0;

        @ApiModelProperty("当月新增总预收")
        private BigDecimal currentTotalCoursePrice = BigDecimal.ZERO;

        @ApiModelProperty("当月新增总课酬")
        private BigDecimal currentTotalCourseSalary = BigDecimal.ZERO;

        @ApiModelProperty("当月消耗可排课时长")
        private Integer currentConsumeCourseMinutes = 0;

        @ApiModelProperty("当月消耗总预收")
        private BigDecimal currentConsumeCoursePrice = BigDecimal.ZERO;

        @ApiModelProperty("当月消耗总课酬")
        private BigDecimal currentConsumeCourseSalary = BigDecimal.ZERO;
    }

    @Data
    @ApiModel("平衡关系-未分班未排课")
    public static class ExportBalancedRelationshipMusicNoClassNoCourse {

        @ApiModelProperty("期初总预收")
        private BigDecimal firstTotalCoursePrice = BigDecimal.ZERO;

        @ApiModelProperty("期末总预收")
        private BigDecimal lastTotalCoursePrice = BigDecimal.ZERO;

        @ApiModelProperty("当月新增总预收")
        private BigDecimal currentTotalCoursePrice = BigDecimal.ZERO;
    }

    @Data
    @ApiModel("平衡关系-VIP剩余课时及金额明细")
    public static class ExportBalancedRelationshipVipSubCourseDetail {
        @ApiModelProperty("分部")
        private String organName;

        @ApiModelProperty("学校")
        private String coopName;

        @ApiModelProperty("学生编号")
        private Integer userId;

        @ApiModelProperty("学生姓名")
        private String username;

        @ApiModelProperty("课程类型")
        private String courseType;

        @ApiModelProperty("期初预收款（已排）")
        private BigDecimal firstMonthPreCourseAmount;

        @ApiModelProperty("期初预收款（未排）")
        private BigDecimal firstMonthPreNoCourseAmount;

        @ApiModelProperty("期初剩余课次（已排）")
        private Integer firstMonthSubCourseNum;

        @ApiModelProperty("期初剩余课次（未排）")
        private Integer firstMonthSubNoCourseNum;

        @ApiModelProperty("期初课酬成本（已排）")
        private BigDecimal firstMonthCourseSalary;

        @ApiModelProperty("期初课酬成本（未排）")
        private BigDecimal firstMonthNoCourseSalary;

        @ApiModelProperty("当月现金收款")
        private BigDecimal currentMonthActualAmount;

        @ApiModelProperty("当月余额收款")
        private BigDecimal currentMonthBalanceAmount;

        @ApiModelProperty("当月新增课次")
        private Integer currentMonthAddCourseNum;

        @ApiModelProperty("当月新增课酬（已排）")
        private BigDecimal currentMonthAddCourseSalary;

        @ApiModelProperty("当月新增课酬（未排）")
        private BigDecimal currentMonthAddNoCourseSalary;

        @ApiModelProperty("当月消耗课次")
        private Integer currentMonthConsumeCourseNum;

        @ApiModelProperty("当月课酬")
        private BigDecimal currentMonthCourseSalary;

        @ApiModelProperty("当月课耗总收入")
        private BigDecimal currentMonthCourseAmount;

        @ApiModelProperty("期末预收款（已排）")
        private BigDecimal lastMonthPreCourseAmount;

        @ApiModelProperty("期末预收款（未排）")
        private BigDecimal lastMonthPreNoCourseAmount;

        @ApiModelProperty("期末余额（已排）")
        private Integer lastMonthSubCourseNum;

        @ApiModelProperty("期末余额（未排）")
        private Integer lastMonthSubNoCourseNum;

        @ApiModelProperty("期末课酬（已排）")
        private BigDecimal lastMonthCourseSalary;

        @ApiModelProperty("期末课酬（未排）")
        private BigDecimal lastMonthNoCourseSalary;
    }
}
