package com.ym.mec.biz.dal.dto;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.ImUserFriend;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.StringUtils;

import java.util.Objects;
import java.util.Optional;

public class ImUserFriendDto extends ImUserFriend {

	private SysUser friend = new SysUser();
	private String imUserId;

	@ApiModelProperty(value = "好友身份")
	private String friendType;

	@ApiModelProperty(value = "IM用户ID")
	private String imFriendId;

	@ApiModelProperty(value = "好友头像")
	private String friendAvatar;

	public SysUser getFriend() {
		return friend;
	}

	public void setFriend(SysUser friend) {
		this.friend = friend;
	}

	public String getImUserId() {
		return String.valueOf(getUserId());
	}

	public void setImUserId(String imUserId) {
		this.imUserId = imUserId;
	}

	public String getFriendType() {
		return getRoleType();
	}

	public String getImFriendId() {
		if (StringUtils.isBlank(imFriendId) && Objects.nonNull(getFriend())) {
			return String.valueOf(getFriendId());
		}
		return Optional.ofNullable(imFriendId).orElse("");
	}

	public String getFriendAvatar() {
		if (StringUtils.isBlank(friendAvatar) && Objects.nonNull(getFriend())) {
			return getFriend().getAvatar();
		}
		return Optional.ofNullable(friendAvatar).orElse("");
	}

	public void setFriendType(String friendType) {
		this.friendType = friendType;
	}

	public void setImFriendId(String imFriendId) {
		this.imFriendId = imFriendId;
	}

	public void setFriendAvatar(String friendAvatar) {
		this.friendAvatar = friendAvatar;
	}
}
