package com.ym.mec.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 对应数据库表(music_group_payment_student_course_detail_log):
 */
@Data
public class MusicGroupPaymentStudentCourseDetailLog{
	@TableId(value = "id_")
	private Long id;

	@ApiModelProperty(value = "班级编号")
	@TableField(value = "class_group_id_")
	private Integer classGroupId;

	@ApiModelProperty(value = "课程类型")
	@TableField(value = "course_type_")
	private String courseType;

	@ApiModelProperty(value = "排课时长编号")
	@TableField(value = "music_group_payment_student_course_detail_id_")
	private Long musicGroupPaymentStudentCourseDetailId;

	@ApiModelProperty(value = "本次排课预收款")
	@TableField(value = "course_price_")
	private BigDecimal coursePrice = BigDecimal.ZERO;

	@ApiModelProperty(value = "本次排课总课酬")
	@TableField(value = "course_salary_")
	private BigDecimal courseSalary = BigDecimal.ZERO;

	@ApiModelProperty(value = "本次消耗排课时长")
	@TableField(value = "used_course_minutes_")
	private Integer usedCourseMinutes = 0;

	@ApiModelProperty(value = "本次排课次数")
	@TableField(value = "course_num_")
	private Integer courseNum = 0;

	@TableField(value = "create_time_")
	private java.util.Date createTime;

	@TableField(value = "update_time_")
	private java.util.Date updateTime;

}
